REST-API
Get predictions with REST API

Get predictions with REST API

Rek.ai is built to collect data through the browser's dedicated Rek.ai script and assembles this into a GET call used to return recommendations.

If you make a recommendation server-side instead, some of these parameters won't be available, user agent, for example. That said, you can still do things like a search or a recommendation across all Questions & Answers using just a few parameters.

The call itself is a simple GET request. You need to add two parameters: p (your project ID) and secret. Read more about it here (opens in a new tab).

To do a search, for example, add term to the call (remember to URL-encode the value). Read about more parameters (opens in a new tab).

Note: This page will continue to be expanded as more projects make use of this function.

GET /predict?p=10101019&secret=xxxx&term=jobb HTTP/1.1
Host: predict.rekai.se